//tag规则 release-v188.15.*
const TaskBase = require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class TmNotifyTask extends TaskBase {
    constructor() {
        super(TaskBase.getServiceName(AliicapiTask));
        this.restclient = system.getObject("util.restClient");
    }
    /**
     * 每隔10分钟检查一次
     * @param {*} taskName
     */
    formatedTaskName (taskName) {
        console.log("formatedTaskName", taskName)
        return taskName + "|i|5"
    }
    async subDoTask () {
        console.log("--------------");
        console.log("TestTask1.....");
        var obj = {
        }
        try {
            var url = settings.tmnotifyUrl() + "/api/action/tmNotify/dataCount";
            this.restclient.execPost(obj, url);
            return system.getResultSuccess();
        } catch (error) {
            console.log(error);
            return null;
        }
    }
}
module.exports = TmNotifyTask;


// var a=new AliicapiTask();
// a.subDoTask();